# Searches for memberships using predefined parameters Searches for memberships using predefined parameters Endpoint: POST /memberships/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `city` (string) - `email_address` (string) - `expiration_date` (array) - `id` (array) IDs to search - `is_new` (string) - `job_title` (string) - `join_date` (array) - `name` (string) - `number` (array) - `origin` (array) - `owner_type` (string) - `package_id` (array) - `renewal_date` (array) - `state` (string) - `status` (array) - `status_reason_id` (array) - `termination_date` (array) - `type_id` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.city` (string) - `Items.email_address` (string) - `Items.expiration_date` (string) - `Items.id` (string) - `Items.is_new` (string) - `Items.job_title` (string) - `Items.join_date` (string) - `Items.number` (number) - `Items.origin` (string) - `Items.owner_type` (string) - `Items.package_id` (string) - `Items.renewal_date` (string) - `Items.state` (string) - `Items.status` (string) - `Items.status_reason_id` (string) - `Items.termination_date` (string) - `Items.type_id` (string) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields